package data

import "go.mongodb.org/mongo-driver/bson/primitive"

type Group struct {
	ID     primitive.ObjectID `bson:"_id,omitempty"`
	Name   string             `bson:"name,omitempty"`
	Scores []Score            `bson:"scores,omitempty"`
}

type Score struct {
	GameID primitive.ObjectID `bson:"_gameId,omitempty"`
	Points int                `bson:"points,omitempty"`
}
