package index

import (
	"html/template"
	"net/http"

	"git.cliffbreak.de/haveachin/scoreboard/features"
	"git.cliffbreak.de/haveachin/scoreboard/response"
)

func queryHandler(s features.Service, t *template.Template) http.HandlerFunc {
	return http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
		response.WebHandler(w, response.WebHandlerFunc(func() (response.Page, int) {
			return newPage(*t), http.StatusOK
		}))
	})
}
