package features

import (
	"reflect"

	"git.cliffbreak.de/haveachin/scoreboard/service/filter"
)

type Service interface {
	Create(v interface{}) error
	Query(v interface{}, f *filter.Filter) error
	QueryOne(v interface{}, f *filter.Filter) error
	Update(v interface{}, f *filter.Filter) error
	Delete(v interface{}, f *filter.Filter) error
	RegisterCollection(t reflect.Type, collection string)
}
